Subject: bug#74641: closed (Re: bug#74641: When scrolling on non-selected window, this window does not change to selected.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Jan 2025 01:56:03 +0000

Your bug report

#74641: When scrolling on non-selected window, this window does not change to selected.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74641: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74641
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74641: When scrolling on non-selected window, this window does not change to selected.
From: Stefan Kangas <[email-masked]>
To: Sean Whitton <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 1 Jan 2025 19:55:33 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Sean Whitton <[email-masked]> writes:

> Hello,
>
> This is a feature, not a bug, I think.
>
> You might want to look at the setting mouse-autoselect-window.

I'm therefore closing this bug report.

>
> --
> Sean Whitton
>
> Please excuse top-posting and brevity. I am writing to you from a mobile phone.
>
>> On 2 Dec 2024, at 12:40, [email-masked] wrote:
>>
>> Hi !
>>
>> Assume, one frame and it is split into two window. When scrolling on non-selected window, this window does not change to selected.
>>
>> If these two windows contain same buffer and when scrolling on non-selected window, the individual scroll events go through to selected window, because buffer makes a few jumps there. The non-selected window remain non-selected.
>>
>> Tested with:
>>
>> pixel-scroll-precision-mode enabled
>> pixel-scroll-mode disabled
>> mouse-wheel-mode enabled/disabled
>>
>> emacs 29.4
>> archlinux
>> xfwm4 4.18.0-4

Subject: When scrolling on non-selected window, this window does not change to selected.
From: <[email-masked]>
To: [email-masked]
Date: Mon, 2 Dec 2024 03:00:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi !

Assume, one frame and it is split into two window. When scrolling on non-selected window, this window does not change to selected.

If these two windows contain same buffer and when scrolling on non-selected window, the individual scroll events go through to selected window, because buffer makes a few jumps there. The non-selected window remain non-selected.

Tested with: 

pixel-scroll-precision-mode enabled
pixel-scroll-mode disabled
mouse-wheel-mode enabled/disabled

emacs 29.4
archlinux
xfwm4 4.18.0-4